View Issue Details

IDProjectCategoryView StatusLast Update
0003405SymmetricDSImprovementpublic2018-03-12 08:28
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.4Fixed in Version3.9.4 
Summary0003405: Default to strong crypto and fall back if not available
Description* Try symmetric encryption in order of AES, DESede, DES until one is available
* Use SecureRandom and do not seed with non-random data
* Use upper/lower alpha, numeric, and symbols for node password
* Upgrade bouncy castle
* Use 2048-bit RSA key for TLS

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 a0a6e66e

2018-02-03 09:07:59

admin

Details Diff
0003405: Default to strong crypto and fall back if not available
0003405
mod - symmetric-assemble/common.gradle Diff File
mod - symmetric-server/src/main/deploy/security/cacerts Diff File
mod - symmetric-util/src/main/java/org/jumpmind/security/BouncyCastleSecurityService.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/security/SecurityConstants.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/security/SecurityService.java Diff File

SymmetricDS: 3.9 09408edb

2018-02-03 11:02:17

admin

Details Diff
0003405: Default to strong crypto and fall back if not available
0003405
mod - symmetric-util/src/main/java/org/jumpmind/security/SecurityConstants.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/security/SecurityService.java Diff File

SymmetricDS: 3.9 df85c7fe

2018-02-14 08:18:06

admin

Details Diff
0003405: Default to strong crypto and fall back if not available
0003405
mod - symmetric-util/src/main/java/org/jumpmind/security/SecurityConstants.java Diff File

Issue History

Date Modified Username Field Change
2018-02-03 09:05 elong New Issue
2018-02-03 09:05 elong Status new => assigned
2018-02-03 09:05 elong Assigned To => elong
2018-02-03 11:02 elong Status assigned => resolved
2018-02-03 11:02 elong Resolution open => fixed
2018-02-03 11:02 elong Fixed in Version => 3.9.4
2018-02-14 15:08 admin Changeset attached => SymmetricDS 3.9 df85c7fe
2018-02-14 15:08 admin Changeset attached => SymmetricDS 3.9 09408edb
2018-02-14 15:08 admin Changeset attached => SymmetricDS 3.9 a0a6e66e
2018-03-12 08:28 chenson Status resolved => closed